/**
 * AskedButUnknown2.java
 *
 * File generated from the medication2::AskedButUnknown2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration AskedButUnknown2.
 *
 * 
 */

@XmlType(name = "AskedButUnknown")
@XmlEnum
@XmlRootElement(name = "AskedButUnknown2")
public enum AskedButUnknown2 {
	@XmlEnumValue("ASKU")
	ASKU("ASKU"),
	@XmlEnumValue("NAV")
	NAV("NAV");
	
	private final String value;

    AskedButUnknown2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static AskedButUnknown2 fromValue(String v) {
        for (AskedButUnknown2 c: AskedButUnknown2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
